

#include "BUILTIN.h"

#include "Nat.h"
extern OBJ _ATreeCompare_3(OBJ,OBJ);extern OBJ __ATreeCompare_3;
extern OBJ _AHeapCompare_5(OBJ,OBJ,OBJ,OBJ);OBJ __AHeapCompare_5; /* ~ */

extern OBJ _AHeapCompare_5(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* ~ */
{OBJ r;
 FRCLS(x1,1);
 FRCLS(x2,1);
 r=_ATreeCompare_3(x3,x4);
 return r;}

init_AHeapCompare()
{
 static int visited=0; if(visited) return; visited=1;
 init_AHeap();
 init_ANat();
 init_AOption();
 init_ASeq();
 init_ATree();
 init_ATreeCompare();
 init_ARelCmp();
 CLS(4,_AHeapCompare_5,__AHeapCompare_5);}

